{-|
Module      : Data.Map.Strict.Patch
Description :
Copyright   : (c) CNRS, 2017-Present
License     : AGPL + CECILL v3
Maintainer  : team@gargantext.org
Stability   : experimental
Portability : POSIX
-}

module Data.Map.Strict.Patch
       (
         -- * Patches
         PatchMap
       , toList
       , fromList
       , fromMap
       , singleton

         -- * Documents
       , diff

         -- * Re-exports

         -- ** Inverse and composition
       , invert
       , composable

         -- ** Apply patches
       , act
       , applicable

         -- ** Transformations and merges
       , transformWith
         -- *** Conflict strategies
       , transform
       , ours
       , theirs
         -- ** Replace
       , Replace
       , old
       , new
       )
       where

import Data.Patch.Class
import Data.Map.Strict.Patch.Internal

{- | For the implementation details, please see "Data.Map.Strict.Patch.Internal".
-}
